#version 400

uniform mat4 modelViewProjMatrix;
uniform bool cubeMap;

layout(location = 0) in vec3 position;
layout(location = 2) in vec2 texCoord;

smooth out vec3 VS_TexCoord;
void main() {
	if (cubeMap) 
		VS_TexCoord = position;
	else 
		VS_TexCoord = vec3(texCoord, 0);
	
	gl_Position = modelViewProjMatrix * vec4(position, 1.0); 
}